import { defineConfig } from '@playwright/test';

export default defineConfig({
	webServer: {
		// putting the npm-install in here is forcing duplicate installs;
		// the npx install is fine because it realizes chromium exists
		command: `
			npx playwright install chromium && \
			npm run preview
		`,
		port: 4173
	},

	testDir: 'tests/e2e',
	reporter: [['list']],
	workers: 1
});
