import type { RouteConfig } from './types';

export const DEFAULT_CONFIG: RouteConfig = {
	authRoutes: ['/auth/signin', '/auth/signup', '/auth/activate'],
	protectedRoutes: [
		// { pattern: new RegExp(/^\/$/) },
		// {
		// 	pattern: '/admin',
		// 	roles: 'admin'
		// },
		// { pattern: '/account' },
		// { pattern: '/assignments/overview' },
		// {
		// 	pattern: '/assignments/overview/review',
		// 	roles: 'reviewer'
		// }
	],
	unauthorizedRedirect: '/unauthorized',
	defaultAuthRedirect: '/assignments/overview'
};
