import { readable, writable, derived } from 'svelte/store';

// Git Release Variables for the ChangeLog Component
export const GitReleases = writable([]);

export const GitReleasesHTML = derived(GitReleases, ($GitReleases) => {
	return $GitReleases.map((release) => release.description_html);
});
export const GitReleasesCurVer = derived(GitReleases, ($GitReleases) => {
	if (typeof $GitReleases === 'undefined' || $GitReleases.length === 0) {
		return '. . .';
	}
	return $GitReleases[0].tag_name;
});
