/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { evaluationCreateSchema, evaluationSchema } from './evaluationSchema.js';

// the create type for table evaluation
export type EvaluationCreate = z.input<typeof evaluationCreateSchema>;

// the select type for table evaluation
export type Evaluation = z.output<typeof evaluationSchema> & { id: RecordId<string> };
