/* Place your custom changes here */

import { z } from 'zod';

import {
	exerciseGroupInputSchemaGen,
	exerciseGroupOutputSchemaGen
} from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new exercise_group entity
export const exerciseGroupCreateSchema = exerciseGroupInputSchemaGen.merge(
	z.object({
		id: recordId('exerciseGroup').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a exercise_group entity
export const exerciseGroupSchema = exerciseGroupOutputSchemaGen.merge(
	z.object({
		id: recordId('exerciseGroup')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
