/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { exerciseGroupCreateSchema, exerciseGroupSchema } from './exerciseGroupSchema.js';

// the create type for table exercise_group
export type ExerciseGroupCreate = z.input<typeof exerciseGroupCreateSchema>;

// the select type for table exercise_group
export type ExerciseGroup = z.output<typeof exerciseGroupSchema> & { id: RecordId<string> };
