/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { hasAccountCreateSchema, hasAccountSchema } from './hasAccountSchema.js';

// the create type for table has_account
export type HasAccountCreate = z.input<typeof hasAccountCreateSchema>;

// the select type for table has_account
export type HasAccount = z.output<typeof hasAccountSchema> & { id: RecordId<string> };
