/* Place your custom changes here */

import { z } from 'zod';

import { memberOfInputSchemaGen, memberOfOutputSchemaGen } from '../../_generated/index.js';
import { recordId } from '../../_generated/recordSchema.js';

// payload schema for creating a new member_of entity
export const memberOfCreateSchema = memberOfInputSchemaGen.merge(
	z.object({
		id: recordId('memberOf').optional()
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);

// payload schema for fetching a member_of entity
export const memberOfSchema = memberOfOutputSchemaGen.merge(
	z.object({
		id: recordId('memberOf')
		// add your custom fields here, which are not part of SurrealDB table schema
		// they are not overwritten by the next run
	})
);
