/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { reviewCreateSchema, reviewSchema } from './reviewSchema.js';

// the create type for table review
export type ReviewCreate = z.input<typeof reviewCreateSchema>;

// the select type for table review
export type Review = z.output<typeof reviewSchema> & { id: RecordId<string> };
