/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { studentCreateSchema, studentSchema } from './studentSchema.js';

// the create type for table student
export type StudentCreate = z.input<typeof studentCreateSchema>;

// the select type for table student
export type Student = z.output<typeof studentSchema> & { id: RecordId<string> };
