export type {
	Roles,
	Role,
	SignUpCredentials,
	SignInCredentials,
	TokenInfo,
	SessionInfo
} from '$lib/zod';

export type SidebarItem = {
	title: string;
	description?: string;
	icon?: any;
	href?: string;
	children?: SidebarItem[];
};

export type SidebarContent = {
	items: SidebarItem[];
};
