
import { error } from "@sveltejs/kit";
import type { PageLoad } from './$types';
import { getDb } from '$lib/surreal.svelte';

import {
	getAssignmentByID,
	getSubmissionsByAssignment
} from '$lib/db/queries.ts';

export const load: PageLoad = async ({ params }) => {
	return {
		assignment: await getAssignmentByID(params.assignment_id),
		submissions: await getSubmissionsByAssignment(params.assignment_id)
	}
}