
import type { PageLoad } from './$types';
import {
	getStudentByID,
	getAllAssignments
} from '$lib/db/queries.ts';

export const load: PageLoad = async ({ params }) => {
	return {
		student: await getStudentByID(params.student_id),
		assignments: await getAllAssignments()
	}
}

