// import { auth } from '$lib/server/auth';
// import { userSignInSchema } from '$lib/zod';
// import { fail, isRedirect, redirect } from '@sveltejs/kit';
// import { setError, superValidate } from 'sveltekit-superforms/server';
// import type { Actions, PageServerLoad } from './$types';
// import { zod } from 'sveltekit-superforms/adapters';

// const schema = zod(userSignInSchema);

// export const load: PageServerLoad = async ({ locals }) => {
// 	if (locals.user) {
// 		throw redirect(303, '/assignments/overview');
// 	}

// 	const form = await superValidate(schema);
// 	return { form };
// };

// export const actions: Actions = {
// 	default: async ({ cookies, request }) => {
// 		const form = await superValidate(request, schema);

// 		if (!form.valid) {
// 			return fail(400, { form });
// 		}

// 		try {
// 			const token = await auth.signin(form.data);
// 			cookies.set('session', token, {
// 				path: '/',
// 				httpOnly: true,
// 				sameSite: 'strict',
// 				secure: process.env.NODE_ENV === 'production',
// 				maxAge: 60 * 60 // 1 hour TODO match exact token duration ($session.tk.exp)
// 			});

// 			throw redirect(303, '/assignments/overview');
// 		} catch (e) {
// 			if (isRedirect(e)) {
// 				throw e;
// 			}
// 			console.error('Error on signin', e);
// 			return setError(form, 'Invalid credentials');
// 		}
// 	}
// };
