/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { assignmentCreateSchema, assignmentSchema } from './assignmentSchema.js';

// the create type for table assignment
export type AssignmentCreate = z.input<typeof assignmentCreateSchema>;

// the select type for table assignment
export type Assignment = z.output<typeof assignmentSchema> & { id: RecordId<string> };
