/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { memberOfCreateSchema, memberOfSchema } from './memberOfSchema.js';

// the create type for table member_of
export type MemberOfCreate = z.input<typeof memberOfCreateSchema>;

// the select type for table member_of
export type MemberOf = z.output<typeof memberOfSchema> & { id: RecordId<string> };
