/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { moduleCreateSchema, moduleSchema } from './moduleSchema.js';

// the create type for table module
export type ModuleCreate = z.input<typeof moduleCreateSchema>;

// the select type for table module
export type Module = z.output<typeof moduleSchema> & { id: RecordId<string> };
