/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { reviewerCreateSchema, reviewerSchema } from './reviewerSchema.js';

// the create type for table reviewer
export type ReviewerCreate = z.input<typeof reviewerCreateSchema>;

// the select type for table reviewer
export type Reviewer = z.output<typeof reviewerSchema> & { id: RecordId<string> };
