/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { submissionCreateSchema, submissionSchema } from './submissionSchema.js';

// the create type for table submission
export type SubmissionCreate = z.input<typeof submissionCreateSchema>;

// the select type for table submission
export type Submission = z.output<typeof submissionSchema> & { id: RecordId<string> };
