/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { tutorCreateSchema, tutorSchema } from './tutorSchema.js';

// the create type for table tutor
export type TutorCreate = z.input<typeof tutorCreateSchema>;

// the select type for table tutor
export type Tutor = z.output<typeof tutorSchema> & { id: RecordId<string> };
