/* Place your custom changes here */

import { z } from 'zod';
import { type RecordId } from 'surrealdb';

import { userCreateSchema, userSchema } from './userSchema.js';

// the create type for table user
export type UserCreate = z.input<typeof userCreateSchema>;

// the select type for table user
export type User = z.output<typeof userSchema> & { id: RecordId<string> };
