
import type { PageLoad } from './$types';
import {
	getAllStudents,
	getAllAssignments
} from '$lib/db/queries.ts';

export const load: PageLoad = async ({ params }) => {
	return {
		students: await getAllStudents(),
		assignment_types: await getAllAssignments()
	}
}