import { zod } from 'sveltekit-superforms/adapters';

import { createUserSchema, getById } from '$lib/user';
import type { PageServerLoad } from './$types';
import { superValidate } from 'sveltekit-superforms';

export const load: PageServerLoad = async ({ url, params }) => {
	console.log(url);
	console.log(params);
	const user = await getById(params.id!);
	console.log(user);
	console.log(user.id.toString());
	// const form = await superValidate(user, zod(createUserSchema));

	return {
		// form
		user: {
			id: user.id
		}
	};
};
