import { expect, test } from '@playwright/test';

test('Homepage reachable', async ({ page }) => {
	await page.goto('/');
	await expect(page.locator('h1')).toBeVisible();
});

test('Can see all Reviewer NavBar Elements', async ({ page }) => {
	await page.goto('/');
	await page.screenshot({ path: 'tests/e2e/screenshots/screenshot.png' });
	await expect(page.locator('#nav_home')).toBeVisible();
});
