import { defineConfig } from 'vitest/config';
import { sveltekit } from '@sveltejs/kit/vite';

export default defineConfig({
	plugins: [sveltekit()],

	test: {
		include: ['tests/**/*.{test,spec}.{js,ts}']
	},
	server: {
		// Node chokes if we don't exclude these from being watched since it reaches the system limit for file watchers on Linux
		// watch: null
		watch: {
			// ignored: ["*/**", "**/**"]
			ignored: ['**/.direnv/**', '**/.devenv/**', '.devenv', '.direnv']
		}
	}
});
